PDF quandary - A cry for clarity.

Post your Gambas programming questions here.
User avatar
grayghost4
Posts: 109
Joined: Wednesday 05th December 2018 5:00am
Location: Marengo, illinois usa

Re: PDF quandary - A cry for clarity.

Post by grayghost4 » Wednesday 19th May 2021 3:50am

I am using 3.16.0, and I did not have to activate gb.desktop to make the program run.

vuott
Posts: 91
Joined: Wednesday 05th April 2017 6:07pm
Location: European Union

Re: PDF quandary - A cry for clarity.

Post by vuott » Wednesday 19th May 2021 1:43pm

Doctor Watson wrote:
Wednesday 19th May 2021 2:56am
Vuott, I don’t know about ‘b01f603 (master)’. My version is 3.14.3. So I just checked the Gambas site and I see that there’s a new version 3.16.0. Is that the one you mean?
Yes, I do.

grayghost4 wrote:
Wednesday 19th May 2021 3:50am
I am using 3.16.0, and I did not have to activate gb.desktop to make the program run.
In fact, me too.

Doctor Watson wrote:
Wednesday 19th May 2021 2:56am
We assume that it will run on every other machine or with every other Gambas version or configuration.
In my opinion the programmer can not consider the multiplicity of cases due to the versions of Gambas owned by the users or by the installed libraries or by the hardware. :shock:
...a few days ago a user of the Italian Gambas forum, asking a question, claimed to still use :? Gambas-2 !!! :o
Should programmers also think about those who use Gambas with a version abandoned about 10 years ago? Really, that would be crazy!

Doctor Watson
Posts: 84
Joined: Wednesday 22nd August 2018 7:55am

Re: PDF quandary - A cry for clarity.

Post by Doctor Watson » Thursday 20th May 2021 5:34am

Vuott, I also said that I would (like to perhaps) write a report about this issue. I just wanted to wait and check a few points after having upgraded to the latest Gambas version. And that went wrong as you probably read here : https://forum.gambas.one/viewtopic.php?f=15&t=1122 (still not solved).
I fully agree with you when you say
In my opinion the programmer can not consider ……
and I would like to suggest something small and simple to draw our members’ attention to what to expect when executing code they copy here :
Screenshot from 2021-05-20 07-09-32.png
Screenshot from 2021-05-20 07-09-32.png (9.42 KiB) Viewed 262 times
Small effort that could avoid some unnecessary questions.
By the way I’m getting the hang of using Cairo, but it would still be a benefit for users if Printer.Configure could work properly – like choosing between svg, postscript for one thing (all formats handled by Cairo as well).
Old african saying:
You eat an elephant one small bite at a time.

User avatar
BruceSteers
Posts: 524
Joined: Thursday 23rd July 2020 5:20pm

Re: PDF quandary - A cry for clarity.

Post by BruceSteers » Thursday 20th May 2021 7:08am

Doctor Watson wrote:
Thursday 20th May 2021 5:34am
Vuott, I also said that I would (like to perhaps) write a report about this issue. I just wanted to wait and check a few points after having upgraded to the latest Gambas version. And that went wrong as you probably read here : https://forum.gambas.one/viewtopic.php?f=15&t=1122 (still not solved).
I fully agree with you when you say
In my opinion the programmer can not consider ……
and I would like to suggest something small and simple to draw our members’ attention to what to expect when executing code they copy here :
Screenshot from 2021-05-20 07-09-32.png
Small effort that could avoid some unnecessary questions.
By the way I’m getting the hang of using Cairo, but it would still be a benefit for users if Printer.Configure could work properly – like choosing between svg, postscript for one thing (all formats handled by Cairo as well).
Well i'm not doing that, most of us here are using the latest version.

Don't feel so embarrassed and defensive dude.
It's all cool , we live and learn , nothing wrong with being a bit of a newb, we've all been there.
You clearly have a lot to learn about lots of things by the way you cannot even upgrade via the ppa method.

You ask for posts to be deleted because you think you've made yourself look silly , it's just the learning curve. It's not silly , it's just the way it is.
Your obviously bruised ego makes you look silly, not the initial questions.

If you want to get to the stage of thinking you've found bugs in gambas and wanting to report them to Benoit or making suggestions to improve gambas then you need to be on the latest development branch , gambas 3.14 is old news, It's not being developed any more.

Maybe you could do the autotools install instead?
I made a utility to upgrade to latest gambas...
https://gitlab.com/bsteers4/gambassimpleupgrade (for newbs who do not know git)
https://gitlab.com/bsteers4/gambaslatestupdate (a bit more advanced)


Sorry to sound like an ass but that's what I am so it just keeps coming out like that ;) :p
Wishing well
Bruce

If at first you don't succeed , try it differently.

Post Reply